import BN from 'bn.js';
import { Account } from 'near-api-js';
import { FungibleTokenMetadata } from './types';
export * from './native-near';
export * from './types';
export declare function ftMetadata(account: Account, tokenId: string): Promise<FungibleTokenMetadata>;
export declare function ftOrNativeNearMetadata(account: Account, tokenId: string): Promise<FungibleTokenMetadata>;
/**
 * Get balance of the account as a BN
 */
export declare const ftBalanceOf: (account: Account, tokenId: string, accountId: string) => Promise<BN>;
export interface FtTransferArgs {
    /**
     * ID of account to send to
     */
    receiverId: string;
    /**
     * Amount to send
     */
    amount: BN;
}
export declare function ftTransfer(account: Account, tokenId: string, args: FtTransferArgs, gas?: BN, attachedDeposit?: BN): Promise<{
    executionOutcome: import("near-api-js/lib/providers").FinalExecutionOutcome;
    response: any;
}>;
export interface FtTransferCallArgs {
    /**
     * ID of account to send to
     */
    receiverId: string;
    /**
     * Amount to send
     */
    amount: BN;
    /**
     * For full control of what gets sent, pass the message as a string. If the
     * message is not a string, it will be run through `JSON.stringify` before
     * sending.
     */
    msg?: any;
}
export declare function ftTransferCall(account: Account, tokenId: string, args: FtTransferCallArgs, gas?: BN, attachedDeposit?: BN): Promise<{
    executionOutcome: import("near-api-js/lib/providers").FinalExecutionOutcome;
    response: any;
}>;
